#include <linux/module.h>	/* Needed by all modules */
#include <linux/kernel.h>	/* Needed for KERN_INFO */
#include <linux/init.h>		/* Needed for the macros */

MODULE_AUTHOR("Alessandro Barenghi");
MODULE_DESCRIPTION("A sample Module");
MODULE_LICENSE("GPL");


static int __init startup(void)
{
    printk(KERN_INFO "Loading hello module...\n");
    printk(KERN_INFO "Hello world\n");
    return 0;
}

static void __exit shutdown(void)
{
    printk(KERN_INFO "Goodbye Mr.\n");
}

module_init(startup);
module_exit(shutdown);
